If any changes have been made, e.g. new domains, changed aliases, or using SSL for certain domain, you might be looking for a way to quickly update HaProxy to make those changes effective.

With the following command, everything will be done within seconds:

```
ascr haproxy-config
```

or

```
ascr role haproxy --limit=proxyserver -r commonauth,commonconnect,common --tags=Config
```

Note, if you have introduced new SSL certificates or even new IP adresses then you should run `ascr role haproxy --limit=proxyserver` without any limitations so that network interfaces, firewall, etc. can all be configured as well.

If you only added new domains to existing SSL certificates, it's sufficient to run `ascr haproxy-certs`.

You probably also want to look into [Quick Update of Varnish](varnish-quick-update).
